Subject: RE: LDAPbis scope issue (Was: LDAP Certificate transfer syntax)

From: "Ramsay, Ron" <[email-masked]>
Date: Fri, 5 Apr 2002 12:38:40 +1000

I'm not getting a feeling for the meaning of 'core':
 The certificate IDs "can be independently progressed from the rest of the
"core" specification."
 The "the engineers may consider "new features" (something which LDAPbis
cannot do)."

Quite apart from the meaning of "core", the last sentence above seems to be
your way of offering carte blanche to the certificate work?

Ron.

-----Original Message-----
From: Kurt D. Zeilenga [mailto:[email-masked]]
Sent: Friday, 5 April 2002 3:45
To: Ramsay, Ron
Cc: Mark Wahl; LDAP BIS; PKIX
Subject: LDAPbis scope issue (Was: LDAP Certificate transfer syntax)

At 05:02 PM 2002-04-03, Ramsay, Ron wrote:
>I thought certificate syntax was being removed from the LDAP v3 specs and,
>therefore, certificate syntax was not an issue for DLAPbis?

The LDAPbis WG is chartered specifically to revise the LDAP
"core" technical specification (RFC 2251-2256, 2829-2830).
This schema is part of that "core" specification.

The WG has decided to split the certificate schema into
separate I-Ds that can be independently progressed from
the rest of the "core" specification and to allow individuals
and/or the PKIX WG to taken on this work while LDAPbis
focuses on the rest of the "core".   As the engineering
is being done outside of LDAPbis, the engineers may consider
"new features" (something which LDAPbis cannot do).

However, LDAPbis is still responsible for the "core"
specification and should provide review for any I-D
updating the "core" specification.  This I-D will update
both RFC 2252 and RFC 2256 (if published before LDAPbis
works are published) and, hence, should be subject to
a LDAPbis WG review.

To this end, the PKIX and LDAPbis chairs have agreed that
this work be subject to a joint PKIX/LDAPbis WG Last Call.

Kurt, LDAPbis co-chair

---

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Fri, 05 Apr 2002 10:17:14 -0800

>your way of offering carte blanche to the certificate work?

The PKIX WG has undertaken the engineering of the PKI
schema for LDAP specification.  LDAPbis is providing review.
No carte blanche is (nor can be) given.

Kurt